Bug 609730 - [abrt] crash in avant-window-navigator-0.4.0-1.fc13: awnSettingsHelper.py:141:bind_to_gtk_component:GError: Could not find the key specified: /apps/awn-applet-taskmanager/match_strength.
[abrt] crash in avant-window-navigator-0.4.0-1.fc13: awnSettingsHelper.py:141...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: avant-window-navigator (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
abrt_hash:a04e8211
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-30 18:49 EDT by Doncho N. Gunchev
Modified: 2011-06-27 15:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 15:13:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.48 KB, text/plain)
2010-06-30 18:49 EDT, Doncho N. Gunchev
no flags Details

  None (edit)
Description Doncho N. Gunchev 2010-06-30 18:49:50 EDT
abrt 1.1.1 detected a crash.

architecture: i686
cmdline: /usr/bin/python /usr/bin/awn-settings
component: avant-window-navigator
executable: /usr/bin/awn-settings
kernel: 2.6.33.5-124.fc13.i686
package: avant-window-navigator-0.4.0-1.fc13
reason: awnSettingsHelper.py:141:bind_to_gtk_component:GError: Could not find the key specified: /apps/awn-applet-taskmanager/match_strength.
release: Fedora release 13 (Goddard)
How to reproduce: 1. Try to configure it

backtrace
-----
awnSettingsHelper.py:141:bind_to_gtk_component:GError: Could not find the key specified: /apps/awn-applet-taskmanager/match_strength.

Traceback (most recent call last):
  File "/usr/bin/awn-settings", line 1223, in <module>
    awnmanager = awnManagerMini()
  File "/usr/bin/awn-settings", line 1089, in __init__
    self.prefManager = awnPreferencesMini(self.wTree)
  File "/usr/bin/awn-settings", line 201, in __init__
    self.wTree.get_object(wtree_name), False)
  File "/usr/share/avant-window-navigator/awn-settings/awnSettingsHelper.py", line 141, in bind_to_gtk_component
    config.BIND_METHOD_FALLBACK)
GError: Could not find the key specified: /apps/awn-applet-taskmanager/match_strength.

Local variables in innermost frame:
read_only: False
widget: <gtk.SpinButton object at 0x8de4cac (GtkSpinButton at 0x8e48d28)>
widget_changed: <function widget_changed at 0x8de66bc>
obj: <awnPreferencesMini object at 0x8de4324 (__main__+awnPreferencesMini at 0x8f3a580)>
connect_to_widget_changes: <function connect_to_widget_changes at 0x8de664c>
key_changed: <function key_changed at 0x8de6684>
setter_transform: None
prop_name: 'match-strength'
get_widget_value: <function get_widget_value at 0x8de6534>
client: <desktopagnostic.config.Client object at 0x8de4374 (DesktopAgnosticConfigClient at 0x8e83e00)>
getter_transform: None
key: 'match_strength'
get_widget_change_signal_name: <function get_widget_change_signal_name at 0x8de6614>
group: 'DEFAULT'
set_widget_value: <function set_widget_value at 0x8de656c>
Comment 1 Doncho N. Gunchev 2010-06-30 18:49:54 EDT
Created attachment 428133 [details]
File: backtrace
Comment 2 Bug Zapper 2011-06-01 11:06:36 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2011-06-27 15:13:43 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.